version: '3.7'

services:
  postgres:
    tty: true
    container_name: postgres
    build:
      context: .
      dockerfile: dockerfile_postgres
    environment:
      - POSTGRES_USER=test-user
      - POSTGRES_PASSWORD=duckpin-celsius-phony-glaucous-conspire-lisp-haggard-nucleate
      - POSTGRES_DB=testdata
    volumes:
      - ./postgres:/var/lib/postgresql/data
  web:
    tty: true
    container_name: web
    build:
      context: .
      dockerfile: dockerfile
    env_file: .env
    entrypoint: /var/www/entrypoint.sh
    command: gunicorn --chdir /var/www/daniocode/daniocode production_wsgi:application --bind 0.0.0.0:8000
    expose:
      - 8000
    volumes:
      - ./daniocode/daniocode/static/:/var/www/daniocode/daniocode/static/
      - ./daniocode/daniocodedcc/media_root/:/var/www/daniocode/daniocodedcc/media_root/
    depends_on:
      - postgres

  nginx:
    container_name: nginx
    build: ./nginx
    ports:
      - 80:80
    volumes:
      - ./daniocode/daniocode/static/:/var/www/daniocode/daniocode/static/
      - ./daniocode/daniocodedcc/media_root/:/var/www/daniocode/daniocodedcc/media_root/
    depends_on:
      - web
